# Method: projects.locations.azureClusters.azureNodePools.delete

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools/delete#body.aspect_1)

> [!WARNING]
> GKE-on-Azure is deprecated. See <https://cloud.google.com/kubernetes-engine/multi-cloud/docs/azure/deprecations/deprecation-announcement> for more details.

Deletes a specific `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools#AzureNodePool` resource.

If successful, the response contains a newly created `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation` resource that can be described to track the status of the operation.

### HTTP request

`DELETE https://{endpoint}/v1/{name=projects/*/locations/*/azureClusters/*/azureNodePools/*}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name the `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools#AzureNodePool` to delete. `AzureNodePool` names are formatted as `projects/<project-id>/locations/<region>/azureClusters/<cluster-id>/azureNodePools/<node-pool-id>`. See [Resource Names](https://cloud.google.com/apis/design/resource_names) for more details on Google Cloud resource names. |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` If set, only validate the request, but do not actually delete the node pool. |
| `allowMissing` | `boolean` If set to true, and the `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools#AzureNodePool` resource is not found, the request will succeed but no action will be taken on the server and a completed `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation` will be returned. Useful for idempotent deletion. |
| `etag` | `string` The current ETag of the `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools#AzureNodePool`. Allows clients to perform deletions through optimistic concurrency control. If the provided ETag does not match the current etag of the node pool, the request will fail and an ABORTED error will be returned. |
| `ignoreErrors` | `boolean` Optional. If set to true, the deletion of `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters.azureNodePools#AzureNodePool` resource will succeed even if errors occur during deleting in node pool resources. Using this parameter may result in orphaned resources in the node pool. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `gkemulticloud.azureNodePools.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).